WhatsApp Meta agent
List Meta agent UI skills
The rules for when the agent sends buttons, lists, carousels, locations or a Flow (Meta calls them interactive messages). Pages with the before and after cursors.
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
ui-skills
List Meta agent UI skills
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"title": "<string>",
"component_type": "carousel_quick_reply",
"status": "enabled",
"instruction": "<string>",
"flow_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"paging": {
"cursors": {
"before": "<string>",
"after": "<string>"
},
"next": "<string>",
"previous": "<string>"
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
Query Parameters
Maximum string length:
512Maximum string length:
512Required range:
1 <= x <= 100Was this page helpful?
⌘I
List Meta agent UI skills
